Katello - Bug #4940

Update bastion to use 'queryPaged’ & 'queryUnpaged’
03/28/2014 06:39 PM - Justin Sherrill

Status: Closed

Priority: Normal

Assignee: Eric Helms

Category: Web Ul

Target version: Katello 2.0

Difficulty: medium Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

In https://github.com/Katello/katello/pull/3901 we discussed moving all factories from a query action to:

queryPaged & queryUnpaged.

This PR only makes the change for Content Views, but this should be made across the entire application. Nutupane should also be
updated to default to queryPaged instead of just 'query’.

Associated revisions

Revision 2be87270 - 04/16/2014 02:09 PM - Eric Helms
Fixes #4940: Updating to support queryPaged and queryUnpaged across the Ul.

Introduces a new factory that wraps ngResource in order to add a centralized
location to define methods that are shared across API resources. In this case,
queryPaged and queryUnpaged is being added to all API resources for querying
the API with paged and unpaged results.

Revision 2674d2cb - 04/16/2014 06:09 PM - Eric Helms

Fixes #4940: Updating to support queryPaged and queryUnpaged across the Ul.
Introduces a new factory that wraps ngResource in order to add a centralized
location to define methods that are shared across API resources. In this case,

queryPaged and queryUnpaged is being added to all API resources for querying
the API with paged and unpaged results.

Revision eead6ac8 - 04/16/2014 07:41 PM - Eric Helms
Merge pull request #3952 from ehelms/fixes-4940

Fixes #4940: Updating to support queryPaged and queryUnpaged across the ...

History

#1 - 04/07/2014 02:13 PM - Eric Helms

- Assignee set to Eric Helms

#2 - 04/07/2014 02:13 PM - Eric Helms

- Status changed from New to Assigned

#3 - 04/16/2014 07:52 PM - Eric Helms
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:2674d2cbb2cf221b516fb028420cfd683b30b8cb.
#4 - 08/21/2014 02:38 PM - Eric Helms

- translation missing: en.field_release set to 13
